👉 Important thread for Python users: The Pip team is shipping a new dependency resolver and needs *your* help to find issues. Everyone who tries it will know their projects are future-proof and issues can be fixed before they're shipped. That's a win-win! So how can you help?

8:50 PM · Jul 31, 2020

2
120
2
195
– Upgrade to Pip 20.2: $ python -m pip install -U pip – If you have a project with many dependencies, pins, or hit packaging issues before, try reinstalling your dependencies with the '--use-feature=2020-resolver' flag: $ python -m pip install --use-feature=2020-resolver (...)
1
7
0
26
– Read all about new resolver user guide: pip.pypa.io/en/stable/user_g… – Report issues to the Pip GitHub issue tracker: github.com/pypa/pip/issues – Fill out this survey of how Pip should handle dependency issues: forms.gle/cWKMoDs8sUVE29hz9
1
2
0
10
– See if your environment fits the 'Setups we need more testing' section: pip.pypa.io/en/stable/user_g… – Contribute to Pip, this amazing tool we all enjoy for free: pip.pypa.io/en/stable/develo… – Donate financially to the @PSF for future developments like this: python.org/psf/donations
0
2
0
6
aiobotocore has a little helper extra to resolve deps between boto3/awscli and botocore: github.com/aio-libs/aiobotoc… Will we no longer need that?
1
0
0
1
Sounds like a good project to test the new resolver with :)
1
0
0
1